#INCLUDE "TI-85.H"
#define lea(x)  ld hl, (PROGRAM_ADDR) \ ld de, x \ add hl, de
.org 0
.db "American Techno Percussion",0

Start:
 ROM_CALL(CLEARLCD)
 ld hl, 0
 ld (CURSOR_ROW), hl
 ld hl, 0
 ld (CURSOR_COL), hl
 lea(string)
 ROM_CALL(D_ZT_STR)
 ld hl, 1
 ld (CURSOR_ROW), hl
 ld hl, 0
 ld (CURSOR_COL), hl
 lea(string2)
 ROM_CALL(D_ZT_STR)

keyloop:
 halt
 call GET_KEY
 ld b, 0
 cp b
 jr z, keyloop
intkey:
 cp 17
 JUMP_Z(clap)
 cp 18
 JUMP_Z(ride)
 cp 19
 JUMP_Z(snare)
 cp 20
 JUMP_Z(midtom)
 cp 25
 JUMP_Z(bass)
 cp 26
 JUMP_Z(crash)
 cp 27
 JUMP_Z(kick)
 cp 28
 JUMP_Z(mltom)
 cp 33
 JUMP_Z(china)
 cp 34
 JUMP_Z(hihat)
 cp 35
 JUMP_Z(mondo)
 cp 36
 JUMP_Z(lowtom)
 cp 55
 ret z
 cp 56
 JUMP_Z(instructions)
 jr keyloop



clap:
 lea(Sclap)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
ride:
 lea(Sride)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
snare:
 lea(Ssnare)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
midtom:
 lea(Smidtom)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
bass:
 lea(Sbass)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
crash:
 lea(Scrash)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
kick:
 lea(Skick)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
mltom:
 lea(Smltom)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
china:
 lea(Schina)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
hihat:
 lea(Shihat)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
mondo:
 lea(Smondo)
 JUMP_(PlayWAV)
 CALL_(PlayWAV)
 JUMP_(keyloop)
lowtom:
 lea(Slowtom)
 JUMP_(PlayWAV)
 JUMP_(keyloop)

PlayWAV:
 di                    ;greylib by robert taylor can't be used :(
 ld   a, 0C0h
 out   (7), a
 ld   e, (hl)
 inc   hl
 ld   d, (hl)
 inc   hl
 ld   b, 128           ;b is used as a mask
SoundLoop:
 ld a, b
 ld b, h
 ld c, l
 ld (TEXT_MEM), a
 ld hl, TEXT_MEM+1
 ld (hl), b
 inc hl
 ld (hl), c
 call GET_KEY
 ld b, 0
 ld (TEXT_MEM+3), a
 cp b
 JUMP_NZ(DoneKey)
 ld hl, TEXT_MEM+1
 ld b, (hl)
 inc hl
 ld c, (hl)
 ld l, c
 ld h, b
 ld   c, 1
 ld a, (TEXT_MEM)
 ld b, a

DLoop:
 dec   c
 jr nz,DLoop
 rrc   b
 jr nc,Play
 inc   hl               ;next byte
 dec   de
 ld   a, d
 or    e
 jr z,    DonePlay
; xor   a                ;exit key pressed?
; out   (1), a
; call GET_KEY
; in    a, (1)
; bit 6, a
; or a
; jr z,    DonePlay
Play:
 ld   a, (hl)          ;get bit
 and   b
 jr z,    Play1
 ld   a, 0FCh
 out   (7), a
 jr   SoundLoop
Play1:
 ld   a, 0C0h
 out   (7), a
 jr   SoundLoop
DonePlay:
 ld  a, 0C0h
 out  (7), a
 ei
 JUMP_(keyloop)
DoneKey:
 ld a, 0C0h
 out (7), a
 ei
 ld a, (TEXT_MEM+3)
 JUMP_(intkey)
string:
 .db "PRESS 0-9 . (-)",0
string2:
 .db "PRESS MORE FOR INFO",0
lolo:
 call GET_KEY
 ld b, 0
 cp b
 jr z, lolo
 ret

instructions:
 ROM_CALL(CLEARLCD)
 ld hl, 0
 ld (CURSOR_ROW), hl
 ld hl, 0
 ld (CURSOR_COL), hl
 lea(instring)
 ROM_CALL(D_ZT_STR)
 CALL_(lolo)
 ROM_CALL(CLEARLCD)
 ld hl, 0
 ld (CURSOR_ROW), hl
 ld hl, 0
 ld (CURSOR_COL), hl
 lea(instring2)
 ROM_CALL(D_ZT_STR)
 CALL_(lolo)
 JUMP_(Start)

instring:
 .db "   American Techno   "
 .db "     Percussion      "
 .db "                     "
 .db " by Mbeanis N. Alzin "
 .db "                     "
 .db "mbeanis@mindless.com "
 .db "                     "
 .db "   copyright 1998"
 .db 0
instring2:
 .db "Go get a headphone   "
 .db "adapter.  Then press "
 .db "these buttons:       "
 .db "                     "
 .db "   7   8   9         "
 .db "   4   5   6         "
 .db "   1   2   3         "
 .db "   0   .  (-)"
 .db 0

Smondo:
 .dw 559

 .db $AA,$AF,$FF,$FF,$E8,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$1F,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FE,$F8,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$BF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$80,$00,$00
 .db $00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$C0,$00
 .db $00,$00,$00,$00,$F8,$F0,$40,$00,$33,$FF,$FF,$FF,$FE,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$E0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F1,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$1F,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$F8,$00,$00,$00,$00,$00,$00,$00,$00,$3B,$FF,$FF,$FF
 .db $FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$07,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FD,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$0D,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$80,$00,$00,$0F
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FE,$80,$00,$00,$00,$00,$00,$00,$00,$00
 .db $0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F4,$3F,$FF,$FF,$FF
 .db $FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$01,$FF,$F9,$00,$00,$00,$1D,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F8,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$E7,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$80,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0E,$3F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$01,$CF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$E0,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$19,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$E0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FC,$3F,$00,$00,$00,$00,$00
 .db $00,$00,$00,$06,$7F,$FF,$FF,$FF,$F8,$7F,$FF,$FF,$FF,$F0,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$1F,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FC,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$02,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF
 .db $C3,$F8,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$F0


Shihat:
 .dw 408

 .db $AE,$00,$BC,$20,$F2,$04,$DC,$20,$C0,$66,$EE,$18,$C3,$92,$C0,$A1
 .db $C3,$D2,$7E,$88,$CC,$0E,$2F,$42,$79,$D1,$B3,$88,$6D,$88,$70,$A8
 .db $1F,$08,$AF,$01,$07,$C5,$01,$A9,$B0,$4D,$E4,$59,$99,$82,$34,$66
 .db $03,$C0,$BB,$B0,$93,$FE,$1E,$F4,$3B,$42,$87,$A7,$43,$13,$69,$F0
 .db $09,$C0,$1F,$2A,$65,$E0,$0B,$FE,$65,$E1,$20,$28,$04,$ED,$00,$75
 .db $06,$87,$5F,$93,$B1,$AF,$04,$90,$98,$7C,$04,$FA,$80,$17,$44,$FE
 .db $88,$93,$07,$75,$D8,$B9,$02,$46,$16,$BB,$09,$53,$60,$B9,$68,$15
 .db $21,$70,$0F,$18,$20,$67,$23,$C0,$00,$0F,$01,$84,$74,$20,$A0,$5C
 .db $82,$85,$92,$0E,$10,$A0,$40,$90,$9E,$26,$41,$48,$DA,$77,$88,$10
 .db $98,$AC,$4B,$40,$13,$9C,$6B,$0A,$5C,$0C,$25,$7A,$28,$A5,$68,$17
 .db $35,$AA,$57,$0E,$1D,$C0,$0E,$C6,$25,$95,$00,$E2,$04,$B5,$00,$02
 .db $AC,$75,$D2,$81,$CA,$A0,$43,$42,$14,$02,$F1,$D8,$29,$55,$C3,$1A
 .db $E0,$2D,$05,$09,$C2,$61,$38,$41,$D3,$07,$58,$EE,$11,$FE,$21,$C4
 .db $98,$A4,$13,$A6,$88,$BC,$B1,$06,$C5,$40,$82,$BD,$06,$50,$DA,$F8
 .db $05,$70,$40,$37,$C8,$24,$58,$18,$D1,$AA,$E0,$17,$2B,$00,$A0,$85
 .db $11,$0A,$70,$81,$A1,$0A,$47,$92,$71,$93,$7E,$84,$14,$6A,$91,$66
 .db $90,$57,$1A,$25,$60,$A0,$16,$3C,$E4,$40,$4B,$06,$0A,$8D,$40,$12
 .db $06,$84,$50,$20,$A0,$06,$A5,$00,$00,$08,$44,$83,$08,$EA,$20,$55
 .db $D0,$0A,$36,$3A,$5C,$0B,$8C,$D0,$0A,$D1,$22,$B1,$09,$18,$88,$30
 .db $85,$59,$00,$2F,$88,$41,$D6,$22,$04,$3A,$15,$80,$04,$16,$00,$0D
 .db $62,$14,$04,$22,$00,$9F,$C8,$53,$C2,$12,$04,$80,$42,$A0,$84,$90
 .db $D0,$09,$40,$00,$00,$04,$00,$49,$82,$71,$42,$0F,$22,$00,$00,$07
 .db $00,$97,$E1,$1F,$1D,$04,$A0,$2B,$40,$29,$C6,$12,$A0,$7E,$00,$40
 .db $33,$04,$08,$D4,$02,$8C,$04,$10,$10,$08,$20,$40,$63,$03,$E1,$32
 .db $08,$81,$10,$04,$72,$90,$00,$67,$94,$FD,$1C,$02,$10,$00,$80,$21
 .db $09,$21,$C8,$30,$14,$02,$20,$E8

Schina:
 .dw 382

 .db $28,$A4,$80,$2F,$C9,$45,$F0,$9B,$A0,$7F,$07,$87,$A0,$F4,$34,$F4
 .db $2E,$A3,$42,$F8,$3E,$07,$80,$70,$3F,$8C,$F8,$2E,$44,$5C,$3E,$07
 .db $C0,$7E,$07,$D0,$BD,$5F,$88,$DE,$43,$82,$F5,$F7,$A1,$F0,$3F,$1D
 .db $17,$8E,$83,$E0,$FE,$07,$D2,$A2,$07,$C1,$F8,$39,$53,$A3,$5D,$50
 .db $F8,$1F,$83,$C2,$54,$07,$90,$7F,$87,$C2,$E4,$5C,$29,$CC,$0F,$83
 .db $F0,$69,$44,$70,$1C,$8F,$A1,$BC,$1E,$0A,$8F,$06,$C2,$DF,$0F,$A1
 .db $74,$1E,$4A,$C8,$1D,$15,$9C,$5E,$23,$E4,$94,$99,$81,$F8,$3F,$50
 .db $8F,$80,$E5,$D8,$FF,$13,$B8,$2F,$67,$03,$D0,$1E,$BE,$31,$26,$63
 .db $70,$1E,$8F,$13,$B2,$17,$C2,$78,$3C,$16,$A3,$0F,$85,$A6,$3C,$4A
 .db $41,$6C,$03,$B0,$F8,$3F,$07,$C7,$23,$C8,$E8,$1E,$1B,$D9,$33,$23
 .db $91,$EA,$0E,$1E,$AC,$C7,$4B,$F8,$1E,$16,$30,$B1,$0B,$64,$56,$4B
 .db $45,$F0,$AD,$15,$1F,$07,$87,$F0,$3D,$04,$E2,$E6,$F2,$1B,$35,$26
 .db $A6,$66,$AF,$A5,$F2,$FA,$45,$84,$A4,$D0,$F9,$8D,$36,$12,$F0,$70
 .db $3E,$1A,$1A,$58,$F9,$F0,$3C,$1E,$0F,$0D,$F4,$16,$3E,$0F,$02,$66
 .db $E4,$7E,$96,$3C,$0E,$CC,$83,$D8,$BB,$50,$78,$8C,$BC,$17,$37,$AC
 .db $E8,$C1,$C8,$3C,$1D,$1A,$5E,$CF,$24,$76,$1E,$49,$7A,$87,$D0,$FA
 .db $3C,$43,$D0,$17,$81,$EC,$36,$B2,$D2,$14,$80,$F0,$3E,$03,$C4,$F8
 .db $99,$90,$78,$1D,$92,$BA,$1F,$61,$A4,$B6,$13,$C8,$CF,$82,$F0,$5A
 .db $5E,$14,$34,$17,$61,$78,$0E,$92,$73,$1F,$06,$7C,$1F,$D1,$A8,$96
 .db $40,$E4,$7C,$18,$BE,$13,$60,$60,$E4,$C7,$91,$D1,$21,$A8,$16,$2A
 .db $E9,$55,$D8,$E4,$72,$B3,$01,$02,$A8,$7C,$4E,$BB,$35,$36,$C6,$48
 .db $E8,$9D,$36,$BE,$55,$66,$2F,$85,$D2,$00,$18,$20,$F0,$0B,$87,$C1
 .db $F8,$03,$14,$38,$00,$00,$60,$04,$F4,$3E,$1D,$01,$E0,$34,$38,$80
 .db $03,$00,$00,$07,$20,$7E,$01,$82,$81,$80,$20,$03,$07,$86
Smltom:
 .dw 536

 .db $07,$A0,$01,$FF,$F9,$54,$00,$00,$01,$FF,$FF,$FC,$00,$00,$00,$1F
 .db $FF,$FF,$FD,$00,$00,$00,$1F,$FF,$FF,$FA,$80,$00,$11,$BF,$FF,$F8
 .db $00,$00,$00,$3F,$FF,$FF,$F8,$00,$00,$00,$0F,$FF,$FF,$FB,$AE,$80
 .db $00,$02,$7F,$FF,$FF,$82,$20,$00,$01,$FF,$FF,$FF,$AA,$F8,$00,$00
 .db $8F,$FF,$FF,$EA,$2F,$40,$00,$02,$FF,$FF,$FE,$00,$00,$00,$02,$17
 .db $FF,$FF,$FF,$D0,$00,$00,$05,$FF,$FF,$FF,$FC,$00,$00,$00,$03,$FF
 .db $FF,$FF,$C0,$00,$00,$00,$01,$FF,$FF,$FF,$C0,$00,$00,$02,$56,$7B
 .db $FF,$AA,$7E,$F8,$00,$00,$00,$3F,$FF,$FF,$EA,$40,$00,$00,$07,$FF
 .db $FF,$FF,$00,$00,$00,$01,$00,$03,$FF,$FF,$FF,$E0,$00,$00,$00,$2F
 .db $FF,$FF,$FE,$00,$00,$00,$02,$FF,$FF,$FF,$F2,$00,$00,$00,$01,$FF
 .db $FF,$FF,$FD,$00,$00,$00,$3F,$FF,$FF,$FF,$00,$00,$00,$00,$0F,$FF
 .db $FF,$FF,$80,$00,$80,$00,$0E,$BF,$FF,$FE,$48,$00,$00,$C4,$00,$0F
 .db $84,$7F,$FF,$FF,$80,$00,$00,$00,$03,$FF,$FF,$FF,$EC,$00,$00,$00
 .db $02,$FF,$FF,$FF,$F8,$00,$00,$00,$19,$FF,$FF,$FF,$96,$00,$00,$03
 .db $7B,$FF,$FF,$9E,$BD,$AC,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$B8,$00
 .db $00,$00,$3F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$1F,$FF,$FF,$FF,$80
 .db $00,$00,$00,$00,$FF,$FF,$FF,$D8,$00,$00,$00,$00,$0F,$FF,$FF,$FF
 .db $E0,$00,$00,$00,$01,$47,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$43,$FF
 .db $FF,$FF,$D2,$00,$00,$00,$6D,$FF,$FF,$FF,$E4,$00,$00,$00,$03,$FF
 .db $FF,$FF,$A0,$00,$00,$00,$00,$3F,$FF,$FF,$E0,$00,$00,$00,$00,$3F
 .db $FF,$FF,$FF,$E8,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00
 .db $02,$FF,$FF,$FF,$FD,$D8,$00,$00,$00,$17,$FF,$FF,$FF,$FF,$F0,$00
 .db $00,$00,$0F,$FF,$FF,$FF,$FD,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FD
 .db $80,$00,$00,$00,$1F,$FF,$FF,$FF,$E0,$00,$00,$00,$01,$FF,$FF,$FF
 .db $FF,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FD,$88,$00,$00,$00,$0F,$FF
 .db $FF,$FC,$00,$00,$00,$00,$00,$3F,$FF,$FF,$8C,$0A,$00,$00,$00,$03
 .db $FF,$FF,$FC,$60,$21,$20,$00,$00,$00,$FF,$FF,$FF,$40,$00,$00,$00
 .db $FF,$E1,$28,$7F,$A1,$A7,$FF,$17,$C0,$00,$00,$00,$01,$FF,$FF,$F0
 .db $FC,$00,$00,$00,$00,$FF,$FF,$FB,$F0,$00,$00,$00,$1F,$FF,$FF,$FF
 .db $FF,$A0,$00,$00,$00,$00,$FF,$FF,$FE,$00,$00,$00,$00,$03,$FF,$FC
 .db $01,$FF,$FF,$FF,$FE,$00,$00,$00,$3F,$FF,$FF,$FF,$80,$00,$00,$00
 .db $3F,$FF,$FF,$C0,$00,$00,$00,$01,$FF,$FF,$FF,$E0,$00,$00,$00,$03
 .db $A8,$7F,$FF,$FF,$FF,$E0,$00,$00,$03,$80,$00,$1F,$FF,$FF,$FC,$00
 .db $00,$00,$01,$FF,$FF,$FF,$FF,$C0

Skick:
 ;.dw 227
 .dw 90
 .db $44,$6E,$FF,$FF,$FF,$FF,$FF,$FC,$80,$00,$00,$00,$00,$00,$00,$01
 .db $7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$98,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FE,$E7,$E2
 .db $60,$F0,$AD,$FF,$FF,$FE,$5F,$FC,$3F,$FD,$A3,$82,$82,$00,$40,$81
 .db $BF,$FF,$EF,$DA,$10,$08,$01,$0D,$13,$86,$3F,$FF,$FC,$13,$40,$18
 .db $0A,$00,$08,$3F,$C3,$FE,$1A,$2D,$09,$60,$81,$11,$0C,$3F,$0F,$FF
 .db $04,$18,$00,$08,$02,$34,$80,$FF,$DF,$DC,$80,$08,$C4,$10,$00,$0F
 .db $FC,$3F,$C4,$86,$00,$00,$00,$21,$46,$66,$1E,$1F,$B0,$40,$80,$20
 .db $00,$90,$FC,$87,$FF,$08,$48,$80,$14,$44,$04,$3F,$FF,$E8,$7F,$61
 .db $00,$40,$02,$08,$7F,$C3,$FF,$FF,$E0,$02,$00,$80,$00,$03,$3F,$FF
 .db $FC,$02,$60

Scrash:
 .dw 394

 .db $4F,$05,$00,$8F,$38,$F0,$3F,$01,$FF,$A0,$3F,$F0,$05,$BF,$00,$3F
 .db $80,$8C,$F0,$9F,$90,$0F,$F7,$01,$7F,$C0,$1F,$ED,$80,$06,$B5,$7E
 .db $A0,$3E,$A5,$A1,$56,$B5,$9A,$95,$31,$95,$B7,$52,$9A,$A0,$5B,$80
 .db $1E,$B2,$C1,$53,$51,$53,$49,$5B,$40,$2B,$E8,$29,$AD,$A1,$A5,$5D
 .db $F4,$01,$FF,$05,$2A,$AD,$11,$5D,$A5,$48,$52,$4B,$42,$93,$35,$2D
 .db $74,$AA,$A1,$AA,$22,$9E,$AA,$A6,$AD,$A6,$95,$9E,$2D,$82,$AA,$AE
 .db $96,$AA,$92,$86,$9A,$96,$B5,$A2,$B2,$32,$BF,$91,$59,$92,$A9,$52
 .db $2A,$AA,$A8,$25,$68,$93,$6C,$C1,$65,$B9,$6C,$95,$4A,$D9,$55,$DB
 .db $54,$CD,$74,$49,$2D,$59,$15,$89,$52,$5B,$AA,$DD,$2A,$D9,$25,$2B
 .db $55,$4B,$64,$89,$66,$8B,$24,$29,$26,$DA,$A4,$EA,$A6,$D2,$B2,$92
 .db $B2,$4B,$4A,$CD,$AA,$4C,$B6,$6E,$B2,$27,$9A,$A0,$B5,$11,$E6,$5A
 .db $96,$85,$72,$CB,$AA,$4B,$16,$4A,$B6,$AC,$A6,$AD,$22,$D4,$96,$89
 .db $7A,$C4,$92,$ED,$30,$A9,$29,$6D,$E5,$44,$D2,$95,$35,$22,$99,$A5
 .db $49,$56,$91,$6C,$56,$74,$A5,$36,$89,$25,$DA,$A5,$49,$B2,$AA,$92
 .db $69,$A2,$49,$6A,$49,$2C,$69,$35,$75,$A6,$AD,$96,$CC,$B2,$CA,$B2
 .db $D8,$56,$49,$AA,$4D,$4B,$4C,$9A,$69,$7B,$25,$B9,$A4,$95,$24,$93
 .db $74,$92,$B5,$52,$16,$D5,$42,$92,$85,$5B,$53,$93,$DA,$4B,$4A,$AD
 .db $69,$5E,$E5,$3D,$49,$25,$D2,$82,$B5,$0A,$5A,$D0,$2A,$9B,$6A,$51
 .db $2C,$CA,$75,$07,$52,$12,$22,$5B,$A2,$DA,$A4,$81,$26,$C5,$12,$DA
 .db $B4,$94,$B2,$28,$92,$A8,$AA,$4A,$CA,$56,$55,$48,$55,$55,$A9,$09
 .db $5D,$4C,$3C,$54,$96,$A4,$AA,$F5,$14,$6A,$D2,$55,$53,$4D,$52,$4B
 .db $62,$45,$2A,$49,$B5,$69,$3F,$54,$95,$25,$A5,$65,$36,$0A,$B6,$A1
 .db $25,$35,$A1,$44,$D5,$24,$A5,$2E,$A0,$4F,$EA,$8A,$11,$0A,$2B,$B8
 .db $52,$94,$41,$54,$32,$B2,$52,$C2,$9A,$D2,$D5,$61,$72,$AB,$1B,$68
 .db $23,$6C,$A0,$5A,$54,$A9,$26,$4B,$2A,$D2
Smidtom:
 .dw 471

 .db $1F,$80,$1F,$FC,$D2,$10,$00,$3F,$FF,$FA,$00,$00,$07,$FF,$FF,$FC
 .db $00,$00,$17,$FF,$F7,$C0,$00,$01,$7F,$FF,$00,$00,$00,$BF,$FF,$FE
 .db $00,$00,$01,$FF,$FD,$D5,$00,$18,$00,$FF,$F0,$00,$00,$09,$08,$FF
 .db $FC,$00,$12,$A1,$20,$7F,$FF,$FF,$00,$35,$00,$0F,$FE,$FF,$F0,$00
 .db $00,$07,$FF,$FF,$FF,$90,$00,$00,$3F,$FF,$FF,$E8,$00,$00,$02,$7F
 .db $FF,$FE,$00,$00,$03,$7F,$FF,$FF,$F0,$00,$00,$3F,$FF,$FC,$C0,$00
 .db $00,$B7,$FF,$FF,$D8,$00,$00,$00,$BF,$FF,$FF,$E0,$00,$00,$01,$FF
 .db $FF,$E0,$00,$00,$12,$A5,$7F,$F8,$07,$54,$A2,$00,$04,$DF,$FF,$EC
 .db $91,$00,$00,$00,$3F,$FF,$FF,$E0,$00,$00,$01,$FF,$FF,$FE,$00,$00
 .db $00,$FF,$FF,$FF,$FC,$00,$00,$02,$FF,$FF,$FF,$E0,$00,$00,$0F,$FF
 .db $FF,$F0,$00,$00,$00,$19,$FF,$FF,$F2,$00,$00,$00,$21,$FF,$FD,$FF
 .db $A0,$00,$00,$10,$7F,$FF,$FF,$00,$00,$00,$00,$FF,$FF,$FF,$00,$00
 .db $00,$03,$FF,$FF,$FF,$80,$00,$00,$1F,$FF,$FA,$FF,$FE,$00,$07,$67
 .db $FF,$80,$00,$00,$FF,$FF,$50,$00,$FE,$20,$00,$7F,$FF,$D8,$01,$EA
 .db $80,$00,$07,$FF,$FF,$FF,$E0,$00,$00,$00,$1F,$FF,$FF,$C2,$86,$80
 .db $00,$00,$5F,$FF,$FF,$80,$00,$00,$00,$07,$FF,$FF,$F8,$00,$00,$00
 .db $BB,$FF,$FF,$FF,$00,$00,$3F,$FF,$FF,$F7,$FA,$D0,$00,$00,$77,$FF
 .db $F2,$00,$1F,$F8,$00,$03,$FF,$FF,$7E,$80,$00,$00,$01,$7F,$FF,$FF
 .db $80,$00,$00,$00,$7F,$FF,$FF,$F8,$00,$00,$00,$5F,$FF,$FF,$FF,$00
 .db $00,$00,$1F,$FF,$FF,$FC,$00,$00,$00,$5F,$FF,$FF,$E8,$00,$00,$00
 .db $0F,$FF,$FF,$FF,$80,$00,$00,$07,$FF,$FF,$FF,$10,$00,$00,$00,$FF
 .db $FF,$F8,$00,$41,$40,$00,$07,$FF,$FF,$EC,$F0,$00,$00,$0B,$FF,$FF
 .db $DC,$20,$F8,$00,$00,$17,$FF,$FF,$80,$00,$00,$7F,$C2,$03,$EF,$FF
 .db $00,$00,$00,$00,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$FF,$FF,$FC,$00
 .db $00,$00,$1F,$FF,$FF,$FF,$80,$00,$00,$0F,$FC,$01,$87,$81,$88,$00
 .db $00,$01,$FF,$FF,$FF,$00,$00,$00,$1F,$FF,$FF,$80,$00,$00,$00,$FF
 .db $FF,$FF,$FC,$00,$00,$00,$07,$FF,$FF,$F0,$00,$00,$07,$FF,$FF,$FF
 .db $80,$00,$00,$00,$7F,$FF,$F0,$00,$00,$00,$FF,$FF,$7F,$FC,$08,$00
 .db $01,$78,$7F,$C0,$00,$87,$FF,$80,$00,$12,$0F,$FC,$83,$20,$00,$00
 .db $3F,$FF,$FF,$00,$00,$50,$7F
Ssnare:
 .dw 209

 .db $5F,$F2,$4C,$00,$00,$FF,$FF,$FF,$80,$00,$00,$3F,$FF,$FF,$F0,$00
 .db $02,$00,$12,$D7,$FF,$FF,$FF,$C0,$00,$00,$13,$FF,$FF,$E0,$00,$00
 .db $03,$FF,$FF,$FD,$00,$00,$00,$3F,$FF,$FF,$EC,$00,$00,$05,$FF,$FF
 .db $FF,$D2,$80,$00,$80,$BD,$FF,$DD,$40,$0A,$FF,$80,$00,$80,$00,$25
 .db $FF,$FF,$D0,$00,$00,$00,$1F,$FF,$FF,$E0,$00,$00,$01,$FF,$FF,$FF
 .db $80,$00,$00,$03,$FF,$FF,$FF,$40,$00,$00,$0F,$FF,$FF,$FB,$80,$00
 .db $00,$2F,$FF,$FF,$FB,$80,$00,$00,$FF,$FF,$FE,$80,$00,$00,$BF,$FF
 .db $FF,$80,$00,$00,$03,$FF,$FF,$FF,$10,$00,$00,$07,$FF,$FF,$FF,$00
 .db $00,$00,$07,$FF,$FF,$FA,$00,$00,$00,$2F,$FF,$FF,$FD,$00,$00,$00
 .db $0B,$FF,$FF,$FF,$80,$00,$00,$1F,$FF,$FF,$F0,$00,$00,$00,$3F,$FF
 .db $FF,$F0,$00,$00,$00,$0F,$FF,$FF,$FE,$00,$00,$00,$07,$FF,$FF,$FE
 .db $00,$00,$00,$07,$FF,$FF,$FE,$40,$00,$00,$0F,$FF,$FF,$FC,$00,$00
 .db $00,$07,$FF,$FF,$F8,$00,$00,$00,$1F,$FF,$FF,$E0,$00,$00,$00,$07
 .db $FF
Sride:
 .dw 344

 .db $60,$FC,$1F,$84,$B8,$3E,$02,$25,$F0,$7D,$0F,$E0,$F3,$C9,$59,$20
 .db $78,$78,$49,$55,$C5,$2C,$0B,$2F,$78,$61,$63,$4E,$0B,$60,$1F,$4B
 .db $D8,$49,$EE,$0F,$A1,$1F,$07,$7C,$B2,$94,$5D,$A4,$B6,$07,$C0,$C3
 .db $8C,$BD,$16,$20,$18,$F5,$C6,$06,$86,$42,$D0,$15,$C7,$C7,$BE,$3C
 .db $F0,$95,$17,$42,$AA,$A4,$D5,$43,$58,$BA,$AA,$C7,$1D,$65,$BA,$A8
 .db $D1,$55,$04,$AB,$AA,$15,$55,$73,$AA,$2B,$79,$55,$5E,$22,$EA,$BA
 .db $14,$35,$E6,$F2,$04,$D0,$16,$A8,$AE,$81,$55,$4D,$AA,$29,$30,$41
 .db $55,$16,$AA,$AE,$79,$32,$D4,$D2,$A8,$A0,$46,$52,$12,$AA,$A2,$52
 .db $D7,$50,$B2,$B6,$94,$D4,$97,$26,$B2,$BD,$45,$40,$AA,$AB,$69,$55
 .db $49,$5B,$4A,$CA,$5A,$57,$78,$4B,$02,$8A,$D3,$EA,$DA,$52,$50,$96
 .db $9A,$E4,$A0,$91,$75,$CF,$A8,$BA,$65,$73,$D3,$EC,$AB,$5D,$45,$70
 .db $1A,$29,$A5,$0A,$14,$79,$6B,$E9,$51,$17,$08,$78,$0A,$96,$55,$50
 .db $F6,$9E,$54,$54,$E8,$2A,$93,$C4,$5D,$34,$A2,$C1,$44,$83,$CE,$1D
 .db $18,$19,$38,$2D,$C7,$A4,$28,$12,$45,$D6,$6A,$83,$07,$4E,$18,$C1
 .db $F8,$2F,$8B,$94,$74,$D3,$2E,$29,$85,$C1,$04,$C0,$32,$52,$80,$88
 .db $70,$46,$09,$DF,$F0,$C3,$0C,$01,$10,$00,$21,$C1,$FF,$FF,$FF,$0C
 .db $10,$00,$00,$18,$48,$70,$FF,$FF,$FF,$82,$80,$00,$00,$FC,$43,$DB
 .db $21,$FE,$FC,$8C,$80,$00,$4C,$16,$1F,$E7,$E1,$FD,$C0,$84,$00,$81
 .db $80,$FC,$3E,$1C,$80,$18,$01,$10,$00,$82,$41,$0F,$FF,$FF,$0F,$E0
 .db $40,$00,$08,$21,$0B,$F0,$C3,$F0,$44,$C0,$00,$62,$43,$87,$83,$D0
 .db $FF,$86,$10,$00,$20,$A0,$04,$1C,$31,$85,$06,$39,$00,$00,$00,$0C
 .db $3E,$0B,$1C,$3C,$1D,$0C,$30,$04
Sclap:
 .dw 190

 .db $00,$28,$F0,$2B,$E0,$D7,$02,$E1,$4F,$95,$47,$A3,$8C,$82,$C8,$29
 .db $28,$12,$B1,$1D,$7E,$5E,$8E,$34,$94,$0B,$74,$40,$20,$55,$7B,$E5
 .db $4A,$D3,$DD,$83,$E0,$50,$D0,$8B,$DB,$F0,$50,$3B,$B8,$A9,$E0,$AA
 .db $80,$0E,$AF,$62,$DE,$05,$8B,$9F,$0A,$82,$55,$34,$0F,$0F,$F0,$22
 .db $F6,$37,$E0,$36,$01,$FF,$70,$FC,$24,$BF,$C0,$0F,$EA,$0D,$16,$8D
 .db $21,$9B,$85,$C3,$F5,$60,$10,$2F,$01,$E0,$77,$E0,$0A,$07,$05,$83
 .db $C0,$7D,$4D,$00,$3F,$C8,$45,$07,$81,$60,$1F,$C1,$CF,$0E,$0A,$01
 .db $FC,$14,$7B,$20,$3C,$07,$03,$FC,$50,$0B,$FE,$02,$D0,$34,$79,$EC
 .db $0F,$07,$C0,$6C,$27,$E8,$7C,$00,$3F,$D0,$80,$4E,$1C,$84,$60,$10
 .db $E4,$A9,$4D,$01,$43,$E1,$C0,$70,$F1,$A6,$E0,$3C,$04,$0F,$C1,$E8
 .db $04,$03,$18,$00,$0E,$00,$38,$C3,$00,$01,$42,$00,$01,$EF,$F8,$01
 .db $00,$00,$40,$00,$20,$00,$48,$03,$98,$00,$40,$01,$C2,$01
Slowtom:
 .dw 492

 .db $F9,$00,$00,$00,$7F,$FF,$FF,$FB,$30,$00,$FF,$FE,$F9,$B0,$00,$00
 .db $00,$00,$0F,$FF,$FF,$F6,$3F,$FF,$FF,$C0,$83,$00,$00,$00,$00,$09
 .db $BF,$FF,$FF,$FF,$FF,$7F,$FF,$76,$00,$00,$00,$00,$00,$01,$FF,$FF
 .db $FF,$FF,$FF,$B0,$00,$00,$00,$00,$00,$00,$31,$97,$FF,$FF,$FF,$FF
 .db $FF,$08,$00,$00,$00,$00,$00,$00,$0F,$EC,$FF,$FF,$FF,$FF,$FE,$EE
 .db $DC,$40,$00,$00,$1C,$F0,$00,$00,$00,$21,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FC,$60,$00,$00,$00,$00,$00,$01,$EF,$FF,$FF,$FF,$FF,$F8,$00,$02
 .db $00,$00,$00,$00,$00,$00,$00,$3F,$63,$FF,$FF,$FF,$FF,$FF,$FF,$FC
 .db $00,$00,$00,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$E0,$00
 .db $00,$00,$00,$00,$00,$4F,$FF,$FF,$FF,$FF,$FF,$27,$FF,$7F,$DE,$0B
 .db $08,$00,$00,$00,$00,$70,$00,$00,$0C,$FF,$FF,$FF,$FF,$FF,$C1,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$0D,$EB,$FF,$FF,$FF,$FF,$FF
 .db $FF,$B7,$C1,$00,$00,$00,$00,$00,$00,$04,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$D9,$00,$00,$00,$00,$00,$01,$3F,$FF,$FF,$FF,$FF,$FF,$FD
 .db $80,$0E,$FF,$E0,$C3,$F0,$20,$00,$00,$00,$00,$00,$07,$FF,$FF,$FF
 .db $FF,$FF,$FF,$20,$00,$00,$00,$00,$00,$40,$04,$07,$FF,$FF,$FF,$FF
 .db $FF,$FF,$00,$00,$04,$0F,$FF,$FF,$FE,$C0,$00,$00,$00,$00,$00,$1F
 .db $FF,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$01,$00,$7F,$FF
 .db $FF,$FF,$FF,$FF,$FB,$80,$00,$00,$00,$00,$08,$10,$00,$00,$12,$00
 .db $00,$67,$FF,$FF,$FF,$FF,$FF,$80,$08,$00,$00,$00,$00,$00,$00,$00
 .db $1F,$FF,$FF,$FF,$7F,$FF,$FF,$FF,$EF,$FE,$FC,$00,$00,$00,$00,$00
 .db $00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$E8,$00,$00,$00,$00,$00
 .db $00,$0C,$FE,$F6,$FF,$FE,$EC,$3F,$FF,$FF,$FF,$FE,$3F,$F8,$80,$00
 .db $00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FC,$C0,$00,$00,$00,$00,$00,$07,$FF,$FF,$FD,$E7,$FF,$FF,$FF,$FF
 .db $FE,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$7F,$FF
 .db $FF,$FF,$FF,$FF,$80,$00,$00,$00,$00,$00,$00,$00,$00,$18,$7F,$FF
 .db $FF,$FF,$FF,$FF,$FF,$ED,$E4,$3E,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$0C,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00
 .db $00,$7F,$FF,$FF,$FF,$FF,$FF,$FB,$FF,$C0,$00,$00,$00,$01,$86,$06
 .db $00,$00,$00,$00,$00,$00,$0C,$FF,$FF,$FF,$FF,$FF
Sbass:
 .dw 497

 .db $00,$00,$00,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$07,$FF,$FF,$FF,$F0
 .db $00,$00,$0C,$60,$0F,$E7,$FF,$00,$38,$1F,$FE,$C0,$00,$8F,$FF,$FF
 .db $E8,$0F,$FF,$F0,$00,$00,$00,$00,$8F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FC,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$00,$00,$0E,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$E0,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$07,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $F8,$00,$00,$00,$00,$00,$07,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$FC,$00,$00
 .db $00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$F8,$00,$00
 .db $00,$00,$00,$00,$00,$00,$1F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00
 .db $00,$00,$00,$00,$00,$00,$11,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$80,$00
 .db $00,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$E0,$00
 .db $00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$F8,$00
 .db $00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$FC
 .db $00,$00,$00,$00,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $00,$00,$00,$00,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FC,$00,$00,$00,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FC,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$FE
 .db $00,$00,$00,$00,$00,$00,$00,$07,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F8
 .db $00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $80,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $80,$00,$00,$00,$00,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $E8,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $E0,$00,$00,$00,$00,$00,$00,$00,$1F,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $38,$00,$00,$00,$00,$00,$00,$00,$7C,$7F,$FF,$FF,$FF,$FF,$FE,$FF
 .db $F4,$00,$00,$00,$00,$00,$00,$00,$3F,$9F,$FF,$F0,$FF,$FF,$FC,$03
 .db $30,$01,$FF,$0F,$FF,$FF,$FF,$FF,$FC,$87,$FF,$00,$00,$7F,$FF,$F8
 .db $7F

.end
